Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.security
Interface JGroup

All Superinterfaces:
  JPrincipal, java.security.Principal, java.io.Serializable

    public interface JGroup

extends JPrincipal

This interface is used to represent a group of principals for JReport server. (A principal represents an entity such as an individual user or a company). A group can have one or more parent groups, as well as sub groups. If it has some parent groups, it would inherit permissions from its parent groups. If it has some sub groups, its sub groups would inherit permissions from it. A group can have one or more roles. If it has some roles, it was assigned the permissions specified by the roles. A group can have one or more user. If it has some users, the users would inherit permissions from it.

See Also:
  `JRole`, `JUser`

Field Summary

Fields inherited from interface jet.server.api.admin.security.JPrincipal
`SEPARATOR`

Method Summary
`java.lang.String[]` | `getParentGroupNames()` Gets all the names of parent groups of a group.
`java.lang.String[]` | `getRoleNames()` Gets all the names of the roles of a group.
`java.lang.String[]` | `getSubGroupNames()` Gets all the names of sub groups of a group.
`java.lang.String[]` | `getUserNames()` Gets all the names of the users of a group.

Methods inherited from interface jet.server.api.admin.security.JPrincipal
`getDescription, getDisplayName, getOrganization, getType`

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getParentGroupNames

    java.lang.String[] getParentGroupNames()

  Gets all the names of parent groups of a group. The names are put into a Array of String.

  Returns:
    A Array of String, if the group has no parent group, the size of the Array is 0.

### getSubGroupNames

    java.lang.String[] getSubGroupNames()

  Gets all the names of sub groups of a group. The names are put into a Array of String.

  Returns:
    A Array of String, if the group has no sub group, the size of the Array is 0.

### getRoleNames

    java.lang.String[] getRoleNames()

  Gets all the names of the roles of a group. The names are put into a Array of String.

  Returns:
    A Array of String, if the group has no role, the size of the Array is 0.

### getUserNames

    java.lang.String[] getUserNames()

  Gets all the names of the users of a group. The names are put into a Array of String.

  Returns:
    A Array of String, if the group has no user, the size of the Array is 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD